#
# Conditional build:
%bcond_with	tests		# build without tests
#
%define		kdeframever	6.14
%define		qtver		5.15.2
%define		kfname		networkmanager-qt
Summary:	Qt wrapper for NetworkManager DBus API
Name:		kf6-%{kfname}
Version:	6.14.0
Release:	1
License:	GPL v2+/LGPL v2.1+
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/frameworks/%{kdeframever}/%{kfname}-%{version}.tar.xz
# Source0-md5:	6eda7f687ea9314424250bdf765e2d52
URL:		http://www.kde.org/
BuildRequires:	NetworkManager-devel
BuildRequires:	Qt6Core-devel >= %{qtver}
BuildRequires:	Qt6Gui-devel >= %{qtver}
BuildRequires:	Qt6Network-devel >= %{qtver}
BuildRequires:	Qt6Test-devel >= %{qtver}
%if %{with tests}
BuildRequires:	Qt6Gui-devel >= %{qtver}
BuildRequires:	Qt6Widgets-devel >= %{qtver}
%endif
BuildRequires:	cmake >= 3.16
BuildRequires:	kf6-extra-cmake-modules >= %{version}
BuildRequires:	ninja
BuildRequires:	qt6-build >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	kf6-dirs
#Obsoletes:	kf5-%{kfname} < %{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Qt wrapper for NetworkManager DBus API.

%package devel
Summary:	Header files for %{kfname} development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających %{kfname}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
#Obsoletes:	kf5-%{kfname}-devel < %{version}

%description devel
Header files for %{kfname} development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających %{kfname}.

%prep
%setup -q -n %{kfname}-%{version}

%build
%cmake -B build \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON

%ninja_build -C build

%{?with_tests:%ninja_build -C build test}


%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README.md
%{_datadir}/qlogging-categories6/networkmanagerqt.categories
%attr(755,root,root) %{_libdir}/libKF6NetworkManagerQt.so.*.*.*
%ghost %{_libdir}/libKF6NetworkManagerQt.so.6
%{_datadir}/qlogging-categories6/networkmanagerqt.renamecategories
%dir %{_libdir}/qt6/qml/org/kde/networkmanager
%{_libdir}/qt6/qml/org/kde/networkmanager/kde-qmlmodule.version
%attr(755,root,root) %{_libdir}/qt6/qml/org/kde/networkmanager/libnetworkmanagerqtqml.so
%{_libdir}/qt6/qml/org/kde/networkmanager/networkmanagerqtqml.qmltypes
%{_libdir}/qt6/qml/org/kde/networkmanager/qmldir


%files devel
%defattr(644,root,root,755)
%{_libdir}/libKF6NetworkManagerQt.so
%{_includedir}/KF6/NetworkManagerQt
%{_libdir}/cmake/KF6NetworkManagerQt
%changelog
* Fri May 30 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kf6-networkmanager-qt.git;a=log;h=master

* Sat May 10 2025 Witold Filipczyk <witekfl@poczta.onet.pl> c19bbfe
- updated to 6.14.0

* Sat Apr 12 2025 Witold Filipczyk <witekfl@poczta.onet.pl> bec6e14
- updated to 6.13.0

* Sun Mar 16 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 54ef419
- updated to 6.12.0

* Sat Feb 15 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 222de54
- updated to 6.11.0

* Fri Jan 10 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 61c8438
- updated to 6.10.0

* Fri Dec 13 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 322c325
- updated to 6.9.0

* Fri Nov 08 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 2b52534
- updated to 6.8.0

* Fri Oct 11 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 76e247b
- updated to 6.7.0

* Sat Sep 14 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 75ba11b
- updated to 6.6.0

* Sun Aug 11 2024 Witold Filipczyk <witekfl@poczta.onet.pl> e942862
- updated to 6.5.0

* Wed Aug 07 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 3770f8a
- relup

* Sat Jul 13 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 6e16a17
- updated to 6.4.0

* Sat Jun 08 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 746967b
- updated to 6.3.0

* Fri May 24 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 068a571
- Obsoletes kf5

* Sat May 11 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 8880234
- updated to 6.2.0

* Sun Apr 14 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 6c17860
- updated to 6.1.0

* Sat Mar 02 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 692148f
- updated to 6.0.0

* Sun Feb 04 2024 Witold Filipczyk <witekfl@poczta.onet.pl> c1ffb63
- updated to 5.249.0; rel 0.1

